Scientific Linux Security Update : mercurial on SL6.x, SL7.x i386/x86_64

High Nessus Plugin ID 101079


The remote Scientific Linux host is missing one or more security updates.


Security Fix(es) :

- A flaw was found in the way 'hg serve --stdio' command in Mercurial handled command-line options. A remote, authenticated attacker could use this flaw to execute arbitrary code on the Mercurial server by using specially crafted command-line options. (CVE-2017-9462)


Update the affected packages.

See Also

Plugin Details

Severity: High

ID: 101079

File Name: sl_20170627_mercurial_on_SL6_x.nasl

Version: $Revision: 3.2 $

Type: local

Agent: unix

Published: 2017/06/28

Modified: 2018/01/26

Dependencies: 12634

Risk Information

Risk Factor: High


Base Score: 9

Vector: CVSS2#AV:N/AC:L/Au:S/C:C/I:C/A:C


Base Score: 8.8

Vector: CVSS:3.0/AV:N/AC:L/PR:L/UI:N/S:U/C:H/I:H/A:H

Vulnerability Information

CPE: x-cpe:/o:fermilab:scientific_linux

Required KB Items: Host/local_checks_enabled, Host/cpu, Host/RedHat/release, Host/RedHat/rpm-list

Patch Publication Date: 2017/06/27

Reference Information

CVE: CVE-2017-9462